# Class TableHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.ElementHandler
uk.ac.starlink.ttools.votlint.TableHandler

public class TableHandler extends ElementHandler
ElementHandler for TABLE elements.

Since:
  7 Apr 2005
Author:
  Mark Taylor (Starlink)

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TableHandler.NrowsChecker`
Attribute checker which checks a TABLE's nrows attribute.

## Constructor Summary

Constructors
Constructor
Description
`TableHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`endElement()`
Called when the element has ended.
`void`
`foundData()`
Called to register that a DATA child of this element has been seen.
`void`
`foundRow()`
Called to register that a row in this table has been seen.
`long`
`getCurrentRowIndex()`
Returns the index of the row currently being read.
`List<FieldHandler>`
`getFields()`
Returns a list of the fields currently found.
`void`
`registerField(FieldHandler field)`
Called by a child FIELD element to indicate that a column has been seen, and to describe how to check the contents of that column.

### Methods inherited from class ElementHandler

`characters, configure, error, getAncestry, getAttribute, getContext, getName, getRef, info, registerChildName, setAncestry, setAttributes, startElement, toString, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TableHandler

public TableHandler()

## Method Details

### endElement

public void endElement()
Description copied from class: `ElementHandler`
Called when the element has ended. The default implementation does nothing.

Overrides:
  `endElement` in class `ElementHandler`

### foundRow

public void foundRow()
Called to register that a row in this table has been seen. Used to keep track of how many rows there are.

### foundData

public void foundData()
Called to register that a DATA child of this element has been seen.

### getCurrentRowIndex

public long getCurrentRowIndex()
Returns the index of the row currently being read.

Returns:
  zero-based row index

### registerField

public void registerField(FieldHandler field)
Called by a child FIELD element to indicate that a column has been seen, and to describe how to check the contents of that column. If no working parser can be made, this method should be called with `parser=null`.

Parameters:
  `field` - parser for the newly added field

### getFields

public List<FieldHandler> getFields()
Returns a list of the fields currently found. There will be one for each FIELD child so far encountered.

Returns:
  parser list